[arch-commits] Commit in ardour/trunk (PKGBUILD)
Giovanni Scafora
giovanni at archlinux.org
Thu Nov 19 10:33:32 UTC 2009
Date: Thursday, November 19, 2009 @ 05:33:32
Author: giovanni
Revision: 59009
upgpkg: ardour 2.8.4-1
upstream release
Modified:
ardour/trunk/PKGBUILD
----------+
PKGBUILD | 69 ++++++++++++++++++++++++++++++++-----------------------------
1 file changed, 37 insertions(+), 32 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2009-11-19 08:10:20 UTC (rev 59008)
+++ PKGBUILD 2009-11-19 10:33:32 UTC (rev 59009)
@@ -1,55 +1,60 @@
# $Id$
# Maintainer: tobias <tobias at archlinux.org>
-# Contributor: ... let's say it was teamwork ...
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
# ardour, liblrdf and raptor are heavily dependent on each other. Updating of
# one package mostly will require an update of all the other packages. I vote
# for fixed dependencies speaking in terms of versions
pkgname=ardour
-pkgver=2.8
+pkgver=2.8.4
pkgrel=1
pkgdesc="A multichannel hard disk recorder and digital audio workstation"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+url="http://ardour.org"
license=('GPL2')
-url="http://ardour.org"
-depends=('liblrdf>=0.4.0-5'
- 'ladspa>=1.13' 'libgnomecanvasmm>=2.26.0'
- 'liblo>=0.25' 'libusb>=0.1.12' 'aubio>=0.3.2' 'libsndfile>=1.0.19')
-makedepends=('scons' 'boost' 'soundtouch')
+depends=('liblrdf>=0.4.0-5' 'liblrdf<0.4.1' 'libgnomecanvasmm>=2.26.0'
+ 'liblo>=0.26' 'aubio' 'libusb>=0.1.12' 'aubio>=0.3.2')
+makedepends=('scons' 'boost' 'pkgconfig' 'soundtouch>=1.4.0-2')
install=${pkgname}.install
source=(ftp://ftp.archlinux.org/other/ardour/${pkgname}-${pkgver}.tar.bz2
- ${pkgname}.desktop
- 100_syslibs.patch)
-md5sums=('24bd768dbe08f1f2724dc97704ee0518'
- '8aeaf433ebf781733db48e5a16b0c4da'
- '98b6f1d56af73b18f126b200456ce312')
+ ${pkgname}.desktop)
+md5sums=('7ab850e9153bb4282f2ed95aad152805'
+ '8aeaf433ebf781733db48e5a16b0c4da')
build() {
- # start building ardour now
cd "${srcdir}/${pkgname}-${pkgver}"
- patch -Np1 -i "${srcdir}/100_syslibs.patch" || return 1
- sed -i -e "s@/configure@& --prefix=/usr at g" libs/libsndfile/SConscript || return 1
- sed -i -e "s/lib64/lib/g" SConstruct || return 1
- sed -i "s/_protocol.h>/\0\n#include <cstring>/g" libs/surfaces/tranzport/screen.cc || return 1
+ sed -i '/-O3/d' SConstruct || return 1
- # force -O2 from the CFLAGS in makepkg.conf
- sed -i '/-O3/d' SConstruct || return 1
- scons ARCH="${CFLAGS}" \
+ scons $MAKEFLAGS ARCH="$CFLAGS" \
PREFIX="/usr" \
- NLS=yes \
- FREEDESKTOP=no \
- NJOBS="${MAKEFLAGS}" \
- SYSLIBS=yes \
- VST=0 \
+ NLS=1 \
+ FREEDESKTOP=0 \
+ SYSLIBS=1 \
+ VST=0 \
+ WIIMOTE=0 \
+ LV2=0 \
+ FREESOUND=1 \
+ LIBLO=1 \
+ AUBIO=1 \
+ TRANZPORT=1 \
+ DIST_LIBDIR=lib \
DESTDIR="${pkgdir}" || return 1
+
scons PREFIX="/usr" \
- NLS=yes \
- FREEDESKTOP=no \
- SYSLIBS=yes \
- VST=0 \
+ NLS=1 \
+ FREEDESKTOP=0 \
+ SYSLIBS=1 \
+ VST=0 \
+ WIIMOTE=0 \
+ LV2=0 \
+ FREESOUND=1 \
+ LIBLO=1 \
+ AUBIO=1 \
+ TRANZPORT=1 \
+ DIST_LIBDIR=lib \
DESTDIR="${pkgdir}" install || return 1
+
# install some freedesktop.org compatibility
- install -m755 -d "${pkgdir}/usr/share/applications"
- install -m644 "${srcdir}/${pkgname}.desktop" "${pkgdir}/usr/share/applications/" || return 1
+ install -Dm644 "${srcdir}/${pkgname}.desktop" "${pkgdir}/usr/share/applications/${pkgname}.desktop" || return 1
}
More information about the arch-commits
mailing list